package cn.ibizlab.core.sample.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.sample.domain.IBIZOrderDetail;
/**
 * 关系型数据实体[IBIZOrderDetail] 查询条件对象
 */
@Slf4j
@Data
public class IBIZOrderDetailSearchContext extends QueryWrapperContext<IBIZOrderDetail> {

	private String n_ibizorderdetailname_like;//[订单明细名称]
	public void setN_ibizorderdetailname_like(String n_ibizorderdetailname_like) {
        this.n_ibizorderdetailname_like = n_ibizorderdetailname_like;
        if(!ObjectUtils.isEmpty(this.n_ibizorderdetailname_like)){
            this.getSearchCond().like("ibizorderdetailname", n_ibizorderdetailname_like);
        }
    }
	private String n_ibizordername_eq;//[订单名称]
	public void setN_ibizordername_eq(String n_ibizordername_eq) {
        this.n_ibizordername_eq = n_ibizordername_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizordername_eq)){
            this.getSearchCond().eq("ibizordername", n_ibizordername_eq);
        }
    }
	private String n_ibizordername_like;//[订单名称]
	public void setN_ibizordername_like(String n_ibizordername_like) {
        this.n_ibizordername_like = n_ibizordername_like;
        if(!ObjectUtils.isEmpty(this.n_ibizordername_like)){
            this.getSearchCond().like("ibizordername", n_ibizordername_like);
        }
    }
	private String n_ibizuniproductname_eq;//[产品名称]
	public void setN_ibizuniproductname_eq(String n_ibizuniproductname_eq) {
        this.n_ibizuniproductname_eq = n_ibizuniproductname_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizuniproductname_eq)){
            this.getSearchCond().eq("ibizuniproductname", n_ibizuniproductname_eq);
        }
    }
	private String n_ibizuniproductname_like;//[产品名称]
	public void setN_ibizuniproductname_like(String n_ibizuniproductname_like) {
        this.n_ibizuniproductname_like = n_ibizuniproductname_like;
        if(!ObjectUtils.isEmpty(this.n_ibizuniproductname_like)){
            this.getSearchCond().like("ibizuniproductname", n_ibizuniproductname_like);
        }
    }
	private String n_ibizorderid_eq;//[订单标识]
	public void setN_ibizorderid_eq(String n_ibizorderid_eq) {
        this.n_ibizorderid_eq = n_ibizorderid_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizorderid_eq)){
            this.getSearchCond().eq("ibizorderid", n_ibizorderid_eq);
        }
    }
	private String n_ibizuniproductid_eq;//[统一产品标识]
	public void setN_ibizuniproductid_eq(String n_ibizuniproductid_eq) {
        this.n_ibizuniproductid_eq = n_ibizuniproductid_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizuniproductid_eq)){
            this.getSearchCond().eq("ibizuniproductid", n_ibizuniproductid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ibizorderdetailname", query)
            );
		 }
	}
}



